<template>
	<view>
		<uni-list>
			<uni-list-item v-for="(item, index) in listData" :key="index" @click="goDetail(item.materialInCode)" clickable >
				<view slot="body" class="slot-box">
					<view class="row">
						<view class="column-left">入库编号：</view>
						<view class="column-right">{{item.materialInCode}}</view>
					</view>
					<view class="row">
						<view class="column-left">状态：</view>
						<view class="column-right">{{item.statusName}}</view>
					</view>
					<view class="row">
						<view class="column-left">入库类型：</view>
						<view class="column-right">{{item.groupName}}</view>
					</view>
					<view class="row">
						<view class="column-left">采购人：</view>
						<view class="column-right">{{item.purUserName}}</view>
					</view>
					<view class="row">
						<view class="column-left">入库时间：</view>
						<view class="column-right">{{item.inDate}}</view>
					</view>
					<view class="row">
						<view class="column-left">材料合同：</view>
						<view class="column-right">{{item.contractName}}</view>
					</view>
				</view>
			</uni-list-item>
		</uni-list>
		<view style="bottom: 15px;right:10px;position: fixed;z-index: 50;">
			<router-link to="/pages/template/MaterialInAdd/MaterialInAdd" style="text-decoration: none;" title="入库单添加">
				<uni-icons type="plus-filled" size="80" color="#5678FE"></uni-icons>
			</router-link>
		</view>
		<uni-load-more :status="status" :icon-size="16" :content-text="contentText" />
	</view>
</template>

<script>
	import {
		getUnit,
		getUnitUser
	} from "@/common/api/commonApi.js";
	import uniLoadMore from '@/components/uni-load-more/uni-load-more.vue';
	import {
		GetMaterialIns
	} from "@/common/api/requisitionApi.js";

	export default {
		components: {
			uniLoadMore
		},
		data() {
			return {
				listData: [],
				last_id: '',
				reload: false,
				status: 'more',

				contentText: {
					contentdown: '上拉加载更多',
					contentrefresh: '加载中',
					contentnomore: '没有更多'
				}
			};
		},
		onLoad() {
			console.info("当前登录状态:" + this.$store.state.isLogin);
			//console.info(this);
			this.$util.persistLogin(this);
		},
		onPullDownRefresh() {
			this.reload = true;
			this.last_id = '';

			this.getList();
		},
		onReachBottom() {
			this.status = 'more';
			this.getList();
		},
		created: function() {
			this.getList();
		},
		methods: {

			getList() {
				let that = this;
				let projectcode = that.$store.state.projectCode;
				let usercode = that.$store.state.user.userCode;
				let search = '';
				//let where='1=1 and projectcode=\''+this.$store.state.projectCode+'\'';
				GetMaterialIns(projectcode, usercode, search).then((res) => {
					console.info(res);
					res.forEach(function(item, index, array) {
						that.$set(that.listData, index, item);
					});
					console.info(that.listData);
				});
			},
			goDetail: function(id) {
				console.info('入库单 godetail',id);
				uni.navigateTo({					
					url: '/pages/template/GetMaterialIn/GetMaterialIn?id=' + id
				});
			},

		}
	};
</script>

<style scoped>
	
</style>
